@import '../../../assets/styles/common';

.challenge-bold {
  font-weight: 700;
}

.challenge-card {
  display: flex;
  flex-direction: column;

  &__background {
    width: 100%;
    height:100%;
    background: transparent linear-gradient(218deg, #00000000 0%, #000000 79%, #000000 100%) 0% 0% no-repeat padding-box;

    &-carousel {
      @extend .challenge-card__background;

      display: flex;
      position: absolute;
      top: 0;
    }
  }

  &__name {
    text-align: left;
  }

  &__title {
    position: absolute;
    left: 95%;
    width: 24rem;
    font-size: 1.5rem;
    text-align: left;

    &-carousel {
      @extend .challenge-card__title;
    }
  }

  &__startingdate {
    font-size: 1.2rem;
    color: $gray-lighter;
    text-shadow: none;

    &-carousel {
      @extend .challenge-card__startingdate;

      display: flex;
      align-items: center;
      width: fit-content;
      padding: 0.4rem 1rem;
      border-radius: 15rem;
      color: $black;
      background-color: $dashboard-orange;
    }
  }

  &__dateicon {
    display: none;

    &-carousel {
      height: 1.2rem;
      padding-right: 0.5rem;
    }
  }

  &__main, &__reward {
    @include dashboard-txt-shadow;
  }

  &__main {
    @extend .challenge-bold;

    display: flex;
    align-items: center;
    position: absolute;
    bottom: 4rem;
    margin: 0 1rem;
    font-size: 1.5rem;

    &-carousel {
      @extend .challenge-card__main;

      display: flex;
      bottom: 2.5rem;
      font-size: 3rem;
    }
  }

  &__tag-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    line-height: 7.9rem;
  }

  &__tag {
    display: flex;
    align-items: center;
    height: 2.4rem;
    margin: 0 0 0 1.3rem;
    padding: 0 8px;
    border: 3px solid #10131c;
    border-radius: 4px;
    font-size: 1.2rem;
    background: $dashboard-paginate-dark;

    &.streaming {
      margin-left: 2.85%;
    }

    &-main, &-type {
      @extend .challenge-card__tag;
    }

    &-main {
      height: 4.5rem;
      font-size: 1.9rem;
      overflow: hidden;
    }

    &-type {
      margin: 0;
      padding: 3px;
      border: none;
      color: rgba(255, 255, 255, 0.5);
      background: none;

      &-main {
        @extend .challenge-card__tag-type;

        margin-left: 4px;
        font-size: 1.9rem;
      }
    }

    &-join {
      margin: .8rem 1.5rem;

      &-minor {
        margin: .8rem 2.5rem;
        font-size: 1.9rem;
      }
    }

    &-category {
      @extend .challenge-bold;

      margin: 0 2.3% 0 auto;
      line-height: 5.9rem;
      font-size: 1.4rem;
      color: rgb(134, 135, 135);

      &-main {
        @extend .challenge-card__tag-category;

        line-height: 7.9rem;
        font-size: 2.2rem;
      }

      &--green {
        color: rgb(7, 240, 195);
      }
    }
  }

  &__panel {
    position: absolute;
    bottom: 5rem;
    width: 100%;
    background-color: $red;
  }

  &__date {
    @extend .challenge-bold;

    position: absolute;
    bottom: 2.5rem;
    left: 103%;
    width: 100%;
    font-size: 1.2rem;
    color: silver;

    &-carousel {
      @extend .challenge-card__date;

      left: 16px;
      width: 80%;
      margin-bottom: -15px;
      margin-left: 9.5rem;
      padding: .6rem 1rem;
      border-radius: 11.1rem;
      font-size: 1.4rem;
      color: black;
      background: rgb(251, 176, 59);
      text-shadow: none;
    }
  }

  &__reward {
    @extend .challenge-bold;

    display: inline-flex;
    align-items: center;
    position: absolute;
    top: 2.5rem;
    left: 2rem;
    line-height: 3.5rem;
    font-size: 1.3rem;

    &-carousel {
      @extend .challenge-card__reward;

      left: 75%;
    }
  }

  &__icon {
    display: inline;
    height: 1.5rem;
    margin-right: 5px;
  }

  &__coin {
    height: 2.5rem;
    margin-right: 0.5rem;
  }

  &__join {
    @extend .challenge-bold;

    display: inline-flex;
    position: absolute;
    top: 2.5rem;
    left: 1px;
    line-height: 3.5rem;
    font-size: 3rem;
    background-color: $green-blue-light;

    &-minor {
      @extend .challenge-card__join;

      position: inherit;
      width: 9.7rem;
      height: 5.1rem;
      border: 3px solid #008269;
      border-radius: 1.5rem 1.5rem 0 0;
    }
  }

  &__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    margin: 4rem 0 4rem 4rem;
  }

  &__media {
    width: 50%;
    height: 77.5%;
    margin: 0 2rem 2rem 0;
    border: 3px solid $dashboard-card-border;
    border-radius: 0 0 5px 5px;
    background-color: $dashboard-paginate-dark;

    &-main {
      width: 45%;
      min-width: 40rem;
      height: 97%;
      margin: 0 2rem 2rem 0;
      border: 3px solid $dashboard-card-border;
      border-radius: 6px;
      background-color: $dashboard-paginate-dark;
    }
  }

  &__card {
    box-sizing: border-box;
    width: 30vw;
    max-width: 30vw;
    min-height: 34rem;
    margin: 0 1.3rem 6.3rem 0;
    border: 2px solid $dashboard-card-border;
    background-color: $dashboard-paginate-dark;
    background-image: url('../../../assets/images/dashboard/placeholder/pubg.jpg');
    background-position: center center;
    background-size: cover;

    @media screen and (max-width: 768px) {
      width: 190px;
      max-width: 190px;
    }

    button {
      height: 35rem;
    }

    &-genre {
      position: absolute;
      bottom: 5px;
      left: 2rem;
      border: 3px solid #10131c;
      border-radius: 4px;
      font-size: 1rem;
      background: $dashboard-paginate-dark;
    }
  }

  &__title-carousel {
    font-size: 1.7rem;
  }

  @media only screen and (max-width: 1400px) {
    margin: 0;

    &__reward-carousel {
      left: 65%;
    }

    &__container {
      flex-wrap: wrap;
      justify-content: space-between;
      width: 90%;
      margin: 4rem auto;
    }

    &__card {
      width: 100%;

      .avatar__wrapper {
        width: 8rem;
      }
    }
  }
}
